<!DOCTYPE html>
<html>
    <head>
        <title>My first Home Work</title>
        <meta charset="utf-8"/>
        <style>
          .bold{
            font-weight: bold;
          }
          .italic{
            font-style: italic;
          }
          .bold_italic{
            font-weight: bold;
            font-style: italic;
          }
          .bold_italic_noline{
            font-weight: bold;
            font-style: italic;
            text-decoration: none;
          }
        </style>
    </head>
    <body>
      
      <h1>HTML</h1>

        <p>
          Язык <span class="bold">HTML</span> интерпретируется <a href="https://ru.wikipedia.org/wiki/%D0%91%D1%80%D0%B0%D1%83%D0%B7%D0%B5%D1%80">браузерами</a>; полученный в результате интерпретации <br>
          форматированный текст отображается на экране монитора компьютера или мобильного устройства.<br>
          Язык <span class="italic">HTML</span> до 5-ой версии определялся как приложение <a href="https://ru.wikipedia.org/wiki/SGML">SGML</a> (стандартного обобщённого языка <br>
          разметки по стандарту <a href="https://ru.wikipedia.org/wiki/%D0%9C%D0%B5%D0%B6%D0%B4%D1%83%D0%BD%D0%B0%D1%80%D0%BE%D0%B4%D0%BD%D0%B0%D1%8F_%D0%BE%D1%80%D0%B3%D0%B0%D0%BD%D0%B8%D0%B7%D0%B0%D1%86%D0%B8%D1%8F_%D0%BF%D0%BE_%D1%81%D1%82%D0%B0%D0%BD%D0%B4%D0%B0%D1%80%D1%82%D0%B8%D0%B7%D0%B0%D1%86%D0%B8%D0%B8">ISO</a> 8879). Спецификации HTML5 формулируются в <br>
          терминах <a href="https://ru.wikipedia.org/wiki/Document_Object_Model"><span class="italic">DOM</span></a>(объектной модели документа).<br>
          Язык <a href="https://ru.wikipedia.org/wiki/XHTML"><span class="italic">XHTML</span></a> является более строгим вариантом HTML, он следует синтаксису <a href="https://ru.wikipedia.org/wiki/XML">XML</a> и является <br>
          приложением языка XML в области разметки гипертекста.<br>
          Во всемирной паутине HTML-страницы, как правило, передаются браузерам от сервера по <br>
          протоколам <a href="https://ru.wikipedia.org/wiki/HTTP"><span class="italic">HTTP</span></a> или <a href="https://ru.wikipedia.org/wiki/HTTPS"><span class="italic">HTTPS</span></a>, в виде простого текста или с использованием <a href="https://ru.wikipedia.org/wiki/%D0%A8%D0%B8%D1%84%D1%80%D0%BE%D0%B2%D0%B0%D0%BD%D0%B8%D0%B5">шифрования</a>.
        </p>

        <h2>Общее представление</h2>

        <p>
          Язык HTML был разработан <a href="https://ru.wikipedia.org/wiki/%D0%92%D0%B5%D0%BB%D0%B8%D0%BA%D0%BE%D0%B1%D1%80%D0%B8%D1%82%D0%B0%D0%BD%D0%B8%D1%8F">британским</a> учёным <a href="https://ru.wikipedia.org/wiki/%D0%91%D0%B5%D1%80%D0%BD%D0%B5%D1%80%D1%81-%D0%9B%D0%B8,_%D0%A2%D0%B8%D0%BC"><span class="bold">Тимом Бернерсом-Ли</span></a> приблизительно в <a href="https://ru.wikipedia.org/wiki/1986_%D0%B3%D0%BE%D0%B4"><span class="italic">1986—<br>
          1991 годах</span></a> в стенах <a href="https://ru.wikipedia.org/wiki/%D0%A6%D0%95%D0%A0%D0%9D"><span class="italic">ЦЕРНа</span></a> в <a href="https://ru.wikipedia.org/wiki/%D0%96%D0%B5%D0%BD%D0%B5%D0%B2%D0%B0"><span class="italic">Женеве</span></a> в <a href="https://ru.wikipedia.org/wiki/%D0%A8%D0%B2%D0%B5%D0%B9%D1%86%D0%B0%D1%80%D0%B8%D1%8F"><span class="italic">Швейцарии</span></a>. HTML создавался как язык для обмена научной <br>
          и технической документацией, пригодный для использования людьми, не являющимися <br>
          специалистами в области <a href="https://ru.wikipedia.org/wiki/%D0%92%D1%91%D1%80%D1%81%D1%82%D0%BA%D0%B0"><span class="italic">вёрстки</span></a>. HTML успешно справлялся с проблемой сложности SGML путём <br>
          определения небольшого набора структурных и <a href="https://ru.wikipedia.org/wiki/%D0%A1%D0%B5%D0%BC%D0%B0%D0%BD%D1%82%D0%B8%D0%BA%D0%B0"><span class="bold">семантических</span></a> элементов — дескрипторов. <br>
          Дескрипторы также часто называют <a href="https://ru.wikipedia.org/wiki/%D0%A2%D0%B5%D0%B3_(%D1%8F%D0%B7%D1%8B%D0%BA%D0%B8_%D1%80%D0%B0%D0%B7%D0%BC%D0%B5%D1%82%D0%BA%D0%B8)"><span class="bold_italic">«тегами»</span></a>. С помощью HTML можно легко создать <br>
          относительно простой, но красиво оформленный документ. Помимо упрощения структуры <br>
          документа, в HTML внесена поддержка <a href="https://ru.wikipedia.org/wiki/%D0%93%D0%B8%D0%BF%D0%B5%D1%80%D1%82%D0%B5%D0%BA%D1%81%D1%82"><span class="italic">гипертекста</span></a>. <a href="https://ru.wikipedia.org/wiki/%D0%9C%D1%83%D0%BB%D1%8C%D1%82%D0%B8%D0%BC%D0%B5%D0%B4%D0%B8%D0%B0"><span class="italic">Мультимедийные</span></a> возможности были <br>
          добавлены позже.<br>
          Изначально язык HTML был задуман и создан как средство структурирования и форматирования <br>
          документов без их привязки к средствам воспроизведения (отображения). В идеале, текст с <br>
          разметкой HTML должен был без стилистических и структурных искажений воспроизводиться на <br>
          оборудовании с различной технической оснащённостью (цветной экран современного компьютера, <br>
          монохромный экран органайзера, ограниченный по размерам экран мобильного телефона или <br>
          устройства и программы голосового воспроизведения текстов). Однако современное применение <br>
          HTML очень далеко от его изначальной задачи. Например, тег &#60;table&#62; предназначен для создания в <br>
          документах таблиц, но иногда используется и для оформления размещения элементов на странице. <br>
          С течением времени основная идея платформо независимости языка HTML была принесена в <br>
          жертву современным потребностям в мультимедийном и графическом оформлении.<br>
          Браузеры<br>
          Текстовые документы, содержащие разметку на языке HTML (такие документы традиционно <br>
          имеют <a href="https://ru.wikipedia.org/wiki/%D0%A0%D0%B0%D1%81%D1%88%D0%B8%D1%80%D0%B5%D0%BD%D0%B8%D0%B5_%D0%B8%D0%BC%D0%B5%D0%BD%D0%B8_%D1%84%D0%B0%D0%B9%D0%BB%D0%B0"><span class="italic">расширение</span></a> <span class="bold">.html</span> или <span class="bold">.htm</span>), обрабатываются специальными <a href="https://ru.wikipedia.org/wiki/%D0%9F%D1%80%D0%B8%D0%BA%D0%BB%D0%B0%D0%B4%D0%BD%D0%BE%D0%B5_%D0%BF%D1%80%D0%BE%D0%B3%D1%80%D0%B0%D0%BC%D0%BC%D0%BD%D0%BE%D0%B5_%D0%BE%D0%B1%D0%B5%D1%81%D0%BF%D0%B5%D1%87%D0%B5%D0%BD%D0%B8%D0%B5"><span class="italic">приложениями</span></a>, которые <br>
          отображают документ в его форматированном виде. Такие приложения, называемые «браузерами» <br>
          или «интернет-обозревателями», обычно предоставляют пользователю удобный <a href="https://ru.wikipedia.org/wiki/%D0%98%D0%BD%D1%82%D0%B5%D1%80%D1%84%D0%B5%D0%B9%D1%81_%D0%BF%D0%BE%D0%BB%D1%8C%D0%B7%D0%BE%D0%B2%D0%B0%D1%82%D0%B5%D0%BB%D1%8F"><span class="italic">интерфейс</span></a> для <br>
          запроса <a href="https://ru.wikipedia.org/wiki/%D0%92%D0%B5%D0%B1-%D1%81%D1%82%D1%80%D0%B0%D0%BD%D0%B8%D1%86%D0%B0"><span class="italic">веб-страниц</span></a>, их просмотра (и вывода на иные внешние устройства) и, при необходимости, <br>
          отправки введённых пользователем данных на сервер. Наиболее популярными на сегодняшний день <br>
          браузерами являются <a class="bold_italic_noline" href="https://ru.wikipedia.org/wiki/Google_Chrome">Google Chrome,</a> <a class="bold_italic_noline" href="https://ru.wikipedia.org/wiki/Mozilla_Firefox">Mozilla Firefox,</a> <a class="bold_italic_noline" href="https://ru.wikipedia.org/wiki/Opera">Opera,</a> <a class="bold_italic_noline" href="https://ru.wikipedia.org/wiki/Internet_Explorer">Internet Explorer</a> и <a class="bold_italic_noline" href="https://ru.wikipedia.org/wiki/Safari">Safari</a>
        </p>
        
    </body>
</html>
